NSX-T Data Center REST API

Create or Replace IPFIX collector profile

Create or Replace IPFIX collector profile. IPFIX data will be sent to IPFIX
collector.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/ipfix-l2-collector-profiles/{ipfix-l2-collector-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
IPFIXL2CollectorProfile+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/infra/ipfix-l2-collector-profiles/profile1 { "ipfix_l2_collectors":[ { "collector_ip_address": "10.24.24.23", "collector_port": 3569 } ] }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
IPFIXL2CollectorProfile+

Example Response:

{ "resource_type": "IPFIXL2CollectorProfile", "id": "profile", "display_name": "/infra/ipfix-l2-collector-profiles/profile", "path": "/infra/ipfix-l2-collector-profiles/profile", "parent_path": "/infra", "relative_path": "profile", "ipfix_l2_collectors":[ { "collector_ip_address": "10.24.24.23", "collector_port": 3569 } ], "_create_user": "admin", "_create_time": 1517354268091, "_last_modified_user": "admin", "_last_modified_time": 1517354315280, "_system_owned": false, "_protection": "NOT_PROTECTED", "_revision": 1 }

Required Permissions:

crud

Feature:

policy_ipfix_switch

Additional Errors: